VirtualBox

Ticket #3789 (closed defect: fixed)

Opened 5 years ago

Last modified 3 years ago

with composite enabled, no usual vm window

Reported by: towo2099 Owned by:
Priority: major Component: GUI
Version: VirtualBox 2.2.0 Keywords: composite no output
Cc: Guest type: other
Host type: Linux

Description

If i use the xserver with enabled composite, then i can't use virtualbox, because
the output of the windows has only halftransparent graphical crap.
If i disable composite in the xorg.conf, virtualbox works fine.

System is:

linux 2.6.29.1 Nvidia 9600 GT with driver 185.19

All guests are affected.

Attachments

vbox.jpg Download (347.5 KB) - added by towo2099 5 years ago.
screenshot

Change History

Changed 5 years ago by towo2099

screenshot

comment:1 Changed 5 years ago by towo2099

I forget to say, i'm using xorg-server 1.6.1 on the host.

comment:2 Changed 5 years ago by frank

For the record: It works fine for the reporter if he starts his VM with VirtualBox -startvm VM_NAME -rmode sdl.

comment:3 Changed 5 years ago by frank

The user is towo^work on IRC, here is often there and could be asked for more information if necessary.

comment:4 Changed 5 years ago by frank

Starting with VBox 2.2.4, you can do

VBoxManage setextradata global "GUI/RenderMode" sdl

to fall back to the SDL mode for all VMs.

comment:5 Changed 5 years ago by revealed

Hello there!

First off i am from germany. But i will try my very best to post in English language.

I am using OpenSuSE 11.1 32 Bit Graphicsboard is ATI Radeon X1950 XTX. I am using driver "radeon". I can not use FGLRX because it is not in harmony with my setup and (legacy driver).

kde4-config --version Qt: 4.4.3 KDE: 4.2.4 (KDE 4.2.4) "release 2" kde4-config: 1.0

X.Org X Server 1.6.1 Release Date: 2009-4-14 X Protocol Version 11, Revision 0 Build Operating System: openSUSE SUSE LINUX Current Operating System: Linux wild-thing 2.6.27.23-0.1-pae #1 SMP 2009-05-26 17:02:05 -0400 i686 Build Date: 24 June 2009 06:55:55PM

Before Version 3.0 --> (2.2.4 i did not have this issue.) I could leave Extension Composite enabled. Only thing was, whenever an Application used a special thing like transparencie, the picture was messed the same way like shown in the Screenshot above. After a coldboot it worked again. Even with Eyecandy (aka compiz fusion). Until this behaviour came up with version 3. A restart of Xserver fixed this already again with 2.2.4 for another startup of Virtualbox. This is not possible anymore with 3.

But now starting with Version 3 i have this problem no matter if the system is cold booted or the other way. I have to disable Extension Composite in Xorg.conf. But this is on cost of Compiz-Fusion usabilty. Which worked with VirtualBox 2.2.4. It was hard. Had to coldboot or restart X11 and such but it worked.

What i additionally tried was: Enabling/Disabling 3D functionality.

In case, please let me know about missing information!

I hope this is the right place for this question. I do not want to start a crossposting or such. In case would you please direct my to the proper Bugzilla? e.g xorg radeon mailinglist?

Many thanks for you Time and help in advance! In hope you can help me out.

Greetings,

Revealed

I have to disable Extension Composite.

I will attach my xorg.conf here: # /.../ # X11 config Datei: revealed ;; # Created on: 2009-06-26T 22:12 Uhr; # AIGLX ASUS EAX 1950 XTX Driver "radeon" # 24 " TFT HPw2408h # OpenSuSE 11.1 (32 Bit); # PLEASE DO NOT EDIT THIS FILE! # Section "Files"

FontPath "/usr/share/fonts/misc:unscaled" FontPath "/usr/share/fonts/local" FontPath "/usr/share/fonts/75dpi:unscaled" FontPath "/usr/share/fonts/100dpi:unscaled" FontPath "/usr/share/fonts/Type1" FontPath "/usr/share/fonts/URW" FontPath "/usr/share/fonts/Speedo" FontPath "/usr/share/fonts/PEX" FontPath "/usr/share/fonts/cyrillic" FontPath "/usr/share/fonts/latin2/misc:unscaled" FontPath "/usr/share/fonts/latin2/75dpi:unscaled" FontPath "/usr/share/fonts/latin2/100dpi:unscaled" FontPath "/usr/share/fonts/latin2/Type1" FontPath "/usr/share/fonts/latin7/75dpi:unscaled" FontPath "/usr/share/fonts/baekmuk:unscaled" FontPath "/usr/share/fonts/japanese:unscaled" FontPath "/usr/share/fonts/kwintv" FontPath "/usr/share/fonts/truetype" FontPath "/usr/share/fonts/uni:unscaled" FontPath "/usr/share/fonts/CID" FontPath "/usr/share/fonts/ucs/misc:unscaled" FontPath "/usr/share/fonts/ucs/75dpi:unscaled" FontPath "/usr/share/fonts/ucs/100dpi:unscaled" FontPath "/usr/share/fonts/hellas/misc:unscaled" FontPath "/usr/share/fonts/hellas/75dpi:unscaled" FontPath "/usr/share/fonts/hellas/100dpi:unscaled" FontPath "/usr/share/fonts/hellas/Type1" FontPath "/usr/share/fonts/misc/sgi:unscaled" FontPath "/usr/share/fonts/xtest" FontPath "/opt/kde3/share/fonts" InputDevices "/dev/gpmdata" InputDevices "/dev/input/mice"

EndSection

Section "ServerFlags"

Option "AllowMouseOpenFail" "on" Option "AllowEmptyInput" "off" Option "AutoAddDevices" "off" Option "ZapWarning" "on" Option "AIGLX" "on"

EndSection

Section "Module"

Load "dri" Load "dbe"

# Load "freetype" # (does not exist?)

Load "extmod" Load "glx" Load "v4l"

# Load "type1" # (does not exist?) # Load "i2c" # (built in) EndSection

## Logitech Access Keyboard : ## Section "InputDevice"

Driver "kbd" Identifier "Keyboard[0]" Option "Protocol" "Standard" Option "XkbLayout" "de" Option "XkbModel" "logiaccess" Option "XkbRules" "xfree86" Option "XkbVariant" "nodeadkeys" Option "XkbOptions" "caps:shiftlock"

EndSection

## Logitech MX510 ## Section "InputDevice"

Driver "mouse" Identifier "Mouse[1]" Option "Buttons" "10" Option "Device" "/dev/input/mice" Option "Name" "PS2++ Logitech MX Mouse" Option "Protocol" "explorerps/2" Option "Vendor" "Sysp" Option "ZAxisMapping" "4 5"

EndSection

## LIRC MOUSE ## Section "InputDevice"

Driver "mouse" Identifier "Mouse[2]" Option "Device" "/dev/lircm" Option "Protocol" "IntelliMouse" Option "SendCoreEvents" Option "Buttons" "5" Option "ZAxisMapping" "4 5"

EndSection

## The HP w2408h 24" TFT: Section "Monitor"

DisplaySize 518 324 HorizSync 29-94 Identifier "Monitor[0]" ModelName "HP W2408" Option "DPMS" Option "PreferredMode" "1920x1200" VendorName "HWP" VertRefresh 43-85 UseModes "Modes[0]" Gamma 0.85 0.85 0.85 # created by KGamma

EndSection

Section "Modes"

Identifier "Modes[0]" Modeline "1920x1200" 151.63 1920 2032 2240 2560 1200 1201 1204 1234 Modeline "1920x1200" 119.75 1920 1968 2000 2080 1200 1203 1209 1227 +HSync -Vsync Modeline "1900x1200" 153.83 1904 2024 2224 2544 1200 1201 1204 1234 Modeline "1896x1200" 121.00 1896 1944 1976 2056 1200 1203 1213 1228 +HSync -Vsync Modeline "1920x1080" 154.00 1920 2032 2240 2560 1080 1081 1084 1114 Modeline "1920x1080" 122.00 1920 1968 2000 2080 1080 1083 1088 1107 +HSync -Vsync Modeline "1600x1200" 152.67 1600 1704 1880 2160 1200 1201 1204 1240 Modeline "1600x1200" 121.25 1600 1648 1680 1760 1200 1203 1207 1232 +HSync -Vsync Modeline "1680x1050" 152.18 1680 1784 1968 2256 1050 1051 1054 1088 Modeline "1680x1050" 121.25 1680 1728 1760 1840 1050 1053 1059 1081 +HSync -Vsync Modeline "1600x1024" 153.98 1600 1704 1880 2160 1024 1025 1028 1064 Modeline "1600x1024" 122.75 1600 1648 1680 1760 1024 1027 1037 1057 +HSync -Vsync Modeline "1600x1000" 152.76 1600 1704 1880 2160 1000 1001 1004 1040 Modeline "1600x1000" 121.50 1600 1648 1680 1760 1000 1003 1009 1032 +HSync -Vsync Modeline "1400x1050" 153.77 1400 1496 1648 1896 1050 1051 1054 1096 Modeline "1400x1050" 123.75 1400 1448 1480 1560 1050 1053 1057 1087 +HSync -Vsync Modeline "1600x900" 152.28 1600 1704 1880 2160 900 901 904 940 Modeline "1600x900" 140.62 1600 1704 1872 2144 900 901 904 937 Modeline "1600x900" 129.19 1600 1696 1864 2128 900 901 904 934 Modeline "1600x900" 121.25 1600 1648 1680 1760 900 903 908 932 +HSync -Vsync Modeline "1600x900" 119.00 1600 1696 1864 2128 900 901 904 932 Modeline "1280x1024" 153.45 1280 1376 1512 1744 1024 1025 1028 1073 Modeline "1280x1024" 137.93 1280 1368 1504 1728 1024 1025 1028 1069 Modeline "1280x1024" 124.00 1280 1328 1360 1440 1024 1027 1034 1064 +HSync -Vsync Modeline "1280x1024" 123.80 1280 1368 1504 1728 1024 1025 1028 1064 Modeline "1280x1024" 108.88 1280 1360 1496 1712 1024 1025 1028 1060 Modeline "1440x900" 152.94 1440 1536 1696 1952 900 901 904 944 Modeline "1440x900" 137.09 1440 1536 1688 1936 900 901 904 940 Modeline "1440x900" 122.75 1440 1488 1520 1600 900 903 909 936 +HSync -Vsync Modeline "1440x900" 121.61 1440 1528 1680 1920 900 901 904 936 Modeline "1280x960" 149.43 1280 1376 1512 1744 960 961 964 1008 Modeline "1280x960" 132.88 1280 1368 1504 1728 960 961 964 1003 Modeline "1280x960" 120.75 1280 1328 1360 1440 960 963 967 999 +HSync -Vsync Modeline "1280x960" 117.96 1280 1368 1504 1728 960 961 964 999 Modeline "1280x960" 102.10 1280 1360 1496 1712 960 961 964 994 Modeline "1366x768" 125.67 1368 1456 1600 1832 768 769 772 807 Modeline "1360x768" 102.00 1360 1408 1440 1520 768 771 776 799 +HSync -Vsync Modeline "1366x768" 112.78 1368 1456 1600 1832 768 769 772 803 Modeline "1366x768" 99.15 1368 1448 1592 1816 768 769 772 799 Modeline "1366x768" 85.86 1368 1440 1584 1800 768 769 772 795 Modeline "1360x768" 125.12 1360 1448 1592 1824 768 769 772 807 Modeline "1360x768" 112.29 1360 1448 1592 1824 768 769 772 803 Modeline "1360x768" 102.00 1360 1408 1440 1520 768 771 776 799 +HSync -Vsync Modeline "1360x768" 98.71 1360 1440 1584 1808 768 769 772 799 Modeline "1360x768" 84.72 1360 1424 1568 1776 768 769 772 795 Modeline "1280x800" 123.38 1280 1368 1504 1728 800 801 804 840 Modeline "1280x800" 109.73 1280 1360 1496 1712 800 801 804 836 Modeline "1280x800" 100.75 1280 1328 1360 1440 800 803 809 833 +HSync -Vsync Modeline "1280x800" 96.42 1280 1352 1488 1696 800 801 804 832 Modeline "1280x800" 83.46 1280 1344 1480 1680 800 801 804 828 Modeline "1152x864" 119.65 1152 1224 1352 1552 864 865 868 907 Modeline "1152x864" 107.44 1152 1224 1352 1552 864 865 868 903 Modeline "1152x864" 99.00 1152 1200 1232 1312 864 867 871 899 +HSync -Vsync Modeline "1152x864" 94.36 1152 1224 1344 1536 864 865 868 899 Modeline "1152x864" 81.62 1152 1216 1336 1520 864 865 868 895 Modeline "1280x768" 118.53 1280 1368 1504 1728 768 769 772 807 Modeline "1280x768" 105.40 1280 1360 1496 1712 768 769 772 803 Modeline "1280x768" 96.50 1280 1328 1360 1440 768 771 778 799 +HSync -Vsync Modeline "1280x768" 92.60 1280 1352 1488 1696 768 769 772 799 Modeline "1280x768" 80.14 1280 1344 1480 1680 768 769 772 795 Modeline "1280x720" 110.01 1280 1360 1496 1712 720 721 724 756 Modeline "1280x720" 97.91 1280 1352 1488 1696 720 721 724 753 Modeline "1280x720" 90.50 1280 1328 1360 1440 720 723 728 749 +HSync -Vsync Modeline "1280x720" 85.99 1280 1344 1480 1680 720 721 724 749 Modeline "1280x720" 74.48 1280 1336 1472 1664 720 721 724 746 Modeline "1024x768" 94.39 1024 1088 1200 1376 768 769 772 807 Modeline "1024x768" 83.73 1024 1080 1192 1360 768 769 772 803 Modeline "1024x768" 79.25 1024 1072 1104 1184 768 771 775 799 +HSync -Vsync Modeline "1024x768" 74.25 1024 1080 1192 1360 768 769 772 799 Modeline "1024x768" 64.11 1024 1080 1184 1344 768 769 772 795 Modeline "1280x600" 90.82 1280 1352 1488 1696 600 601 604 630 Modeline "1280x600" 80.76 1280 1344 1480 1680 600 601 604 627 Modeline "1280x600" 75.50 1280 1328 1360 1440 600 603 613 625 +HSync -Vsync Modeline "1280x600" 70.95 1280 1336 1472 1664 600 601 604 624 Modeline "1280x600" 61.50 1280 1336 1464 1648 600 601 604 622 Modeline "1024x600" 72.83 1024 1080 1192 1360 600 601 604 630 Modeline "1024x600" 64.61 1024 1080 1184 1344 600 601 604 627 Modeline "1024x600" 62.00 1024 1072 1104 1184 600 603 613 625 +HSync -Vsync Modeline "1024x600" 56.63 1024 1072 1176 1328 600 601 604 624 Modeline "1024x600" 48.96 1024 1064 1168 1312 600 601 604 622 Modeline "800x600" 56.55 800 840 928 1056 600 601 604 630 Modeline "800x600" 50.76 800 840 928 1056 600 601 604 627 Modeline "800x600" 50.25 800 848 880 960 600 603 607 625 +HSync -Vsync Modeline "800x600" 44.35 800 840 920 1040 600 601 604 624 Modeline "800x600" 38.22 800 832 912 1024 600 601 604 622 Modeline "768x576" 51.84 768 808 888 1008 576 577 580 605 Modeline "768x576" 46.75 768 816 848 928 576 579 583 600 +HSync -Vsync Modeline "768x576" 46.52 768 808 888 1008 576 577 580 602 Modeline "768x576" 40.67 768 800 880 992 576 577 580 600 Modeline "768x576" 34.96 768 792 872 976 576 577 580 597 Modeline "640x480" 35.71 640 672 736 832 480 481 484 505 Modeline "640x480" 33.50 640 688 720 800 480 483 487 500 +HSync -Vsync Modeline "640x480" 31.41 640 664 728 816 480 481 484 502 Modeline "640x480" 27.88 640 664 728 816 480 481 484 500 Modeline "640x480" 23.86 640 656 720 800 480 481 484 497 Modeline "1920x1200" 154 1920 1968 2000 2080 1200 1203 1209 1235 -hsync +vsync

EndSection

Section "Screen"

DefaultDepth 24 SubSection "Display"

Depth 15 Modes "1920x1200" "1900x1200" "1920x1080" "1600x1200" "1680x1050" "1600x1024" "1600x1000" "1400x1050" "1600x900" "1280x1024" "1440x900" "1280x960" "1366x768" "1360x768" "1280x800" "1152x864" "1280x768" "1280x720" "1024x768" "1280x600" "1024x600" "800x600" "768x576" "640x480" Virtual 3840 1200

EndSubSection SubSection "Display"

Depth 16 Modes "1920x1200" "1900x1200" "1920x1080" "1600x1200" "1680x1050" "1600x1024" "1600x1000" "1400x1050" "1600x900" "1280x1024" "1440x900" "1280x960" "1366x768" "1360x768" "1280x800" "1152x864" "1280x768" "1280x720" "1024x768" "1280x600" "1024x600" "800x600" "768x576" "640x480" Virtual 3840 1200

EndSubSection SubSection "Display"

Depth 24 Modes "1920x1200" "1900x1200" "1920x1080" "1600x1200" "1680x1050" "1600x1024" "1600x1000" "1400x1050" "1600x900" "1280x1024" "1440x900" "1280x960" "1366x768" "1360x768" "1280x800" "1152x864" "1280x768" "1280x720" "1024x768" "1280x600" "1024x600" "800x600" "768x576" "640x480" Virtual 3840 1200

EndSubSection SubSection "Display"

Depth 8 Modes "1920x1200" "1900x1200" "1920x1080" "1600x1200" "1680x1050" "1600x1024" "1600x1000" "1400x1050" "1600x900" "1280x1024" "1440x900" "1280x960" "1366x768" "1360x768" "1280x800" "1152x864" "1280x768" "1280x720" "1024x768" "1280x600" "1024x600" "800x600" "768x576" "640x480" Virtual 3840 1200

EndSubSection Device "Device[0]" Identifier "Screen[0]" Monitor "Monitor[0]"

EndSection

Section "Device" ### Names : ##

VendorName "ATI" BoardName "Radeon X1950" Driver "radeon" Identifier "Device[0]"

### Hardware Specific : ##

BusID "1:0:0" # BUS ID for adapter #example: BusID "1:0:0" #MemBase # in kilobytes #IOBase # physical address of the linear framebuffer #ChipID # physical address of the MMIO registers Option "BusType" "PCIE" # PCI-Express card; Option "DynamicClocks" "true" # freq scaling for radeon

### Display related : ##

Option "monitor-DVI-1" "Monitor[0]" # HPw2408h on PORT 1 #Option "ReverseDDC" "true" # Reverses DDC in case display detected on wrong port; #Option "IgnoreEDID" "true" # Disables EDID #Option "NoDDC" "true" # Disables DDC #Option "DisplayPriority" "Auto" # String: AUTO (default), BIOS, HIGH; #Option "TVStandard" "pal" # No TV connected;

### Performance related : ##

Option "DRI" "true" # Enable DRI; Option "NoAccel" "off" # Disable all acceleration? Option "AccelMethod" "exa" # newer further under devel Option "RenderAccel" "true" # option Accel Method # (default) #Option "AccelMethod" "xaa" # old depracted incompatible #Option "XAANoOffscreenPixmaps" "true" # Not Used! Option "EnablePageFlip" "true" # on(faster)/off(default) Option "SWcursor" "off" # SWCursor is lame :) ;

### Textured Video related:

Option "DMAForXv" "true" # default "true" (Fast DMA for XV image transfer?) Option "XV_VSYNC" "on" # "off /(default)on" Option "XV_BICUBIC" "auto" # apply filter smoothing? off/on/(default)auto Option "SWcursor" "off" # SWCursor is lame :) ; #Option "DFS" "true" # reported unused by Xorg.0.log

EndSection

Section "ServerLayout"

Identifier "Layout[all]" InputDevice "Keyboard[0]" "CoreKeyboard" InputDevice "Mouse[1]" "CorePointer" InputDevice "Mouse[2]" # LIRC MOUSE Option "Clone" "off" Option "Xinerama" "off" Screen "Screen[0]"

EndSection

Section "DRI"

Group "video" Mode 0666

EndSection

Section "Extensions"

Option "Composite" "Off"

EndSection

comment:6 Changed 5 years ago by revealed

Hello!

Just wanted to report that this works again in VirtualBox 3.0.4 r50677. I can reenable COMPOSITE.

Sorry for the much text in the recent posting.

Greetings,

R

comment:7 Changed 3 years ago by frank

  • Status changed from new to closed
  • Resolution set to fixed
Note: See TracTickets for help on using tickets.

www.oracle.com
ContactPrivacy policyTerms of Use